<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>cn.freemud</groupId>
        <artifactId>order-group</artifactId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <properties>
        <jacoco.version>0.7.5.201505241946</jacoco.version>
        <junit.version>4.12</junit.version>
    </properties>

    <artifactId>shopping-cart-application-service</artifactId>

    <dependencies>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>paymentcenter-sdk</artifactId>
            <version>2.9.8.RELEASE</version>
        </dependency>
        <dependency>
            <artifactId>membercenter-sdk</artifactId>
            <groupId>com.freemud.application.service.sdk</groupId>
            <version>2.5.1-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>sdk-common-base</artifactId>
            <version>1.5.7-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>productcenter-sdk</artifactId>
            <version>4.0.3.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>couponcenter-sdk</artifactId>
            <version>4.0.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>cn.freemud</groupId>
            <artifactId>assortment-shoppingcart-sdk</artifactId>
            <version>1.3.1.RELEASE</version>
        </dependency>
        <!--   再来一单查询订单信息  -->
        <dependency>
            <groupId>cn.freemud</groupId>
            <artifactId>ordercenter-sdk</artifactId>
            <version>1.9.6-SNAPSHOT</version>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>com.freemud.application.service.sdk</groupId>-->
<!--            <artifactId>promotioncenter-sdk</artifactId>-->
<!--            <version>2.0.RELEASE</version>-->
<!--        </dependency>-->
        <dependency>
            <artifactId>assortment-data-manager</artifactId>
            <groupId>com.freemud.sdk.api.assortment</groupId>
            <version>5.5.10-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <version>3.2.8.RELEASE</version>
            <artifactId>storecenter-sdk</artifactId>
        </dependency>


        <dependency>
            <groupId>tk.mybatis</groupId>
            <artifactId>mapper-spring-boot-starter</artifactId>
        </dependency>
        <!--   commons 依赖  -->

        <dependency>
            <groupId>cn.freemud</groupId>
            <artifactId>monitor-tools</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>


        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-base</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-dao</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>data-manager-redis</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-security</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-netflix-eureka-client</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-jdbc</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid</artifactId>
            <version>1.1.10</version>
        </dependency>
        <dependency>
            <groupId>com.github.pagehelper</groupId>
            <artifactId>pagehelper-spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>com.github.ulisesbocchio</groupId>
            <artifactId>jasypt-spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-openfeign</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-netflix-hystrix</artifactId>
        </dependency>

        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.8.0</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-collections4</artifactId>
            <version>4.1</version>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger2</artifactId>
            <version>2.7.0</version>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-core</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-beans</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-context</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-context-support</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-aop</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-tx</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-orm</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-jdbc</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-web</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-webmvc</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-oxm</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
            <version>2.7.0</version>
        </dependency>
        <!-- rabbitMq-->
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-amqp</artifactId>
        </dependency>
        <!-- 券码SDK -->
<!--        <dependency>-->
<!--            <groupId>com.freemud.card.sdk</groupId>-->
<!--            <artifactId>freemud-card-sdk</artifactId>-->
<!--            <version>2.4.18-RELEASE</version>-->
<!--        </dependency>-->

        <dependency>
            <groupId>io.github.openfeign.form</groupId>
            <artifactId>feign-form</artifactId>
            <version>${feign-form.version}</version>
        </dependency>
        <dependency>
            <groupId>io.github.openfeign.form</groupId>
            <artifactId>feign-form-spring</artifactId>
            <version>${feign-form.version}</version>
        </dependency>
        <!-- 生成id -->
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>id-service</artifactId>
            <version>1.4.11-release</version>
        </dependency>
        <!-- 条形码依赖 -->
        <dependency>
            <groupId>net.sf.barcode4j</groupId>
            <artifactId>barcode4j-light</artifactId>
            <version>2.0</version>
        </dependency>
        <!-- 二维码依赖 -->
        <dependency>
            <groupId>com.google.zxing</groupId>
            <artifactId>core</artifactId>
            <version>3.3.2</version>
        </dependency>
        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt</artifactId>
            <version>0.9.0</version>
        </dependency>
        <!-- RFC3339时间格式包 -->
        <dependency>
            <groupId>joda-time</groupId>
            <artifactId>joda-time</artifactId>
            <version>2.9.9</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>
        <dependency>
            <groupId>io.micrometer</groupId>
            <artifactId>micrometer-registry-prometheus</artifactId>
        </dependency>
        <dependency>
            <groupId>com.ctrip.framework.apollo</groupId>
            <artifactId>apollo-client</artifactId>
            <version>1.4.0</version>
        </dependency>

        <dependency>
            <groupId>org.apache.skywalking</groupId>
            <artifactId>apm-toolkit-logback-1.x</artifactId>
        </dependency>
        <dependency>
            <groupId>com.freemud.nepxion</groupId>
            <artifactId>discovery-plugin-starter-eureka</artifactId>
            <version>5.5.12-SNAPSHOT</version>
        </dependency>

        <!--服务需要依赖-->
        <dependency>
            <groupId>com.freemud.nepxion</groupId>
            <artifactId>discovery-plugin-strategy-starter-service</artifactId>
            <version>5.5.12-SNAPSHOT</version>
        </dependency>
        <!--所有应用都需要-->
        <dependency>
            <groupId>com.freemud.nepxion</groupId>
            <artifactId>discovery-plugin-config-center-starter-apollo</artifactId>
            <version>5.5.12-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>ma.glasnost.orika</groupId>
            <artifactId>orika-core</artifactId>
            <version>1.5.2</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>deliverycenter-sdk</artifactId>
            <version>1.6.2-SNAPSHOT</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
                <version>${jacoco.version}</version>
                <executions>
                    <execution>
                        <id>prepare-agent</id>
                        <goals>
                            <goal>prepare-agent</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>report</id>
                        <phase>prepare-package</phase>
                        <goals>
                            <goal>report</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>post-unit-test</id>
                        <phase>test</phase>
                        <goals>
                            <goal>report</goal>
                        </goals>
                        <configuration>
                            <dataFile>target/jacoco.exec</dataFile>
                            <outputDirectory>target/jacoco-ut</outputDirectory>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <mainClass>cn.freemud.ShoppingCartApplication</mainClass>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

            <!-- mybatis 插件-->
            <plugin>
                <groupId>org.mybatis.generator</groupId>
                <artifactId>mybatis-generator-maven-plugin</artifactId>
                <version>1.3.2</version>
                <configuration>
                    <configurationFile>${basedir}/src/main/resources/generator/generatorConfig.xml</configurationFile>
                    <overwrite>true</overwrite>
                    <verbose>true</verbose>
                </configuration>
                <dependencies>
                    <dependency>
                        <groupId>mysql</groupId>
                        <artifactId>mysql-connector-java</artifactId>
                        <version>${mysql.version}</version>
                    </dependency>
                    <dependency>
                        <groupId>tk.mybatis</groupId>
                        <artifactId>mapper</artifactId>
                        <version>3.4.0</version>
                    </dependency>
                </dependencies>
            </plugin>

        </plugins>
    </build>

</project>
